Summary:       GPS mapping and management tool
Name:          qmapshack
Version:       1.18.0
Release:       %mkrel 1
Group:         File tools
License:       GPLv3+ and BSD
URL:           https://github.com/Maproom/qmapshack
Source0:       https://github.com/Maproom/qmapshack/archive/V_%{version}/%{name}-%{version}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch: aarch64 x86_64
BuildRequires: cmake
BuildRequires: qttools6
BuildRequires: cmake(ALGLIB)
BuildRequires: cmake(QuaZip-Qt6)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6UiTools)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6WebEngineWidgets)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Designer)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6DBus)
BuildRequires: pkgconfig(proj)
BuildRequires: pkgconfig(gdal)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libdmtx)
BuildRequires: pkgconfig(libexif)
BuildRequires: desktop-file-utils
BuildRequires: routino
BuildRequires: routino-devel
BuildRequires: pkgconfig(xerces-c)

Requires:      proj
Requires:      gdal
Requires:      routino
Requires:      qmaptool
Obsoletes:     qlandkartegt < 1.8.2

%description
QMapShack provides a versatile tool for GPS maps in GeoTiff format as well as
Garmin's img vector map format. You can also view and edit your GPX tracks.
QMapShack is the successor of QLandkarteGT.

Main features:
- use of several work-spaces
- use several maps on a work-space
- handle data project-oriented
- exchange data with the device by drag-n-drop

%package -n    qmaptool
Summary:       Create raster maps from paper map scans
Group:         File tools
URL:           https://bitbucket.org/maproom/qmaptool/wiki/Home

%description -n qmaptool
This is a tool to create raster maps from paper map scans. QMapTool can be
considered as a front-end to the well-known GDAL package. It complements
QMapShack.

%prep
%autosetup -p1 -n %{name}-V_%{version}

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -r %{buildroot}%{_datadir}/icons/hicolor/8x8
rm -r %{buildroot}%{_datadir}/icons/hicolor/40x40
rm -r %{buildroot}%{_datadir}/icons/hicolor/42x42
rm -r %{buildroot}%{_datadir}/icons/hicolor/80x80

%files
%license LICENSE
%doc changelog.txt
%{_docdir}/HTML/QMSHelp.qch
%{_docdir}/HTML/QMSHelp.qhc
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/QMapShack.png
%{_iconsdir}/hicolor/*/apps/QMapShack.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.*

%files -n qmaptool
%{_docdir}/HTML/QMTHelp.qch
%{_docdir}/HTML/QMTHelp.qhc
%{_bindir}/qmaptool
%{_bindir}/qmt_*
%{_datadir}/applications/qmaptool.desktop
%{_datadir}/pixmaps/QMapTool.png
%{_iconsdir}/hicolor/*/apps/QMapTool.png
%{_datadir}/qmaptool/
%{_datadir}/qmt_*/
%{_mandir}/man1/qmaptool.*
%{_mandir}/man1/qmt_*.*


%changelog
* Sun Jul 06 2025 daviddavid <daviddavid> 1.18.0-1.mga10
+ Revision: 2247135
- new version: 1.18.0
- switch to Qt6

* Sat Jun 14 2025 daviddavid <daviddavid> 1.17.1-5.mga10
+ Revision: 2191323
- fix build with cmake 4.0
- rebuild for new quazip 1.5

* Wed Feb 05 2025 daviddavid <daviddavid> 1.17.1-4.mga10
+ Revision: 2145302
- rebuild for new gdal 3.10.1

* Fri Jun 21 2024 papoteur <papoteur> 1.17.1-3.mga10
+ Revision: 2076034
- rebuild for new GDAL

* Thu Jan 04 2024 daviddavid <daviddavid> 1.17.1-2.mga10
+ Revision: 2027404
- rebuild for new gdal

* Thu Dec 14 2023 daviddavid <daviddavid> 1.17.1-1.mga10
+ Revision: 2017955
- new version: 1.17.1

* Wed Nov 01 2023 daviddavid <daviddavid> 1.17.0-4.mga10
+ Revision: 2003431
- rebuild for new gdal 3.7.2

* Sat Sep 23 2023 daviddavid <daviddavid> 1.17.0-3.mga10
+ Revision: 1989456
- rebuild for new alglib 4.00.0

* Sat Sep 02 2023 daviddavid <daviddavid> 1.17.0-2.mga10
+ Revision: 1983548
- rebuild for new quazip 1.4

* Wed Aug 30 2023 daviddavid <daviddavid> 1.17.0-1.mga10
+ Revision: 1981675
- new version: 1.17.0

* Tue Dec 06 2022 eatdirt <eatdirt> 1.16.1-3.mga9
+ Revision: 1918756
- Rebuild for new gdal

* Mon Sep 19 2022 papoteur <papoteur> 1.16.1-2.mga9
+ Revision: 1890619
- rebuild for quazip-qt5

* Tue Aug 23 2022 papoteur <papoteur> 1.16.1-1.mga9
+ Revision: 1879581
- new 1.16.1

* Sat May 07 2022 eatdirt <eatdirt> 1.16.0-4.mga9
+ Revision: 1856580
- Rebuild for new proj
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Dec 11 2021 eatdirt <eatdirt> 1.16.0-2.mga9
+ Revision: 1761468
- Rebuild for new gdal

* Wed May 26 2021 daviddavid <daviddavid> 1.16.0-1.mga9
+ Revision: 1728314
- new version: 1.16.0
- remove merged upstream patch

* Wed May 19 2021 daviddavid <daviddavid> 1.15.2-3.mga9
+ Revision: 1725551
- switch to new quazip 1.0

* Thu May 06 2021 daviddavid <daviddavid> 1.15.2-2.mga9
+ Revision: 1721873
- rebuild for new gdal 3.3.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1.15.2-1.mga9
+ Revision: 1715188
- new version: 1.15.2

* Thu Mar 25 2021 daviddavid <daviddavid> 1.15.1-3.mga9
+ Revision: 1710157
- rebuild for new gdal 3.2.2

* Thu Dec 17 2020 umeabot <umeabot> 1.15.1-2.mga8
+ Revision: 1659491
- Rebuild for new Qt5

* Wed Dec 02 2020 daviddavid <daviddavid> 1.15.1-1.mga8
+ Revision: 1651511
- new version: 1.15.1
- remove merged upstream patch

* Sat Oct 31 2020 akien <akien> 1.15.0-3.mga8
+ Revision: 1640850
- Rebuild against gdal with fixed netcdf major dep

* Thu Jul 16 2020 daviddavid <daviddavid> 1.15.0-2.mga8
+ Revision: 1606470
- rebuild for new gdal 3.1.2

* Tue Jun 23 2020 daviddavid <daviddavid> 1.15.0-1.mga8
+ Revision: 1598680
- new version: 1.15.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1.14.1-1.mga8
+ Revision: 1566590
- new version: 1.14.1

* Fri Mar 20 2020 eatdirt <eatdirt> 1.14.0-4.mga8
+ Revision: 1558234
- Rebuild for new libproj

* Sun Mar 15 2020 daviddavid <daviddavid> 1.14.0-3.mga8
+ Revision: 1556471
- rebuild for new gdal 3.0.4

* Mon Feb 17 2020 umeabot <umeabot> 1.14.0-2.mga8
+ Revision: 1537665
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Nov 05 2019 daviddavid <daviddavid> 1.14.0-1.mga8
+ Revision: 1458194
- new version: 1.14.0
- new URL and Source URL

* Fri Sep 13 2019 daviddavid <daviddavid> 1.13.2-1.mga8
+ Revision: 1440160
- new version: 1.13.2

* Sat Jul 27 2019 daviddavid <daviddavid> 1.13.1-1.mga8
+ Revision: 1424602
- new version: 1.13.1

* Wed Apr 10 2019 daviddavid <daviddavid> 1.13.0-1.mga7
+ Revision: 1387914
- new version: 1.13.0

* Mon Apr 01 2019 umeabot <umeabot> 1.12.3-3.mga7
+ Revision: 1384224
- Qt5 Rebuild

* Fri Mar 08 2019 eatdirt <eatdirt> 1.12.3-2.mga7
+ Revision: 1372906
- Rebuild and fix for new libproj 6.0

* Sat Feb 09 2019 daviddavid <daviddavid> 1.12.3-1.mga7
+ Revision: 1364477
- new version: 1.12.3

* Tue Feb 05 2019 daviddavid <daviddavid> 1.12.2-1.mga7
+ Revision: 1363383
- new version: 1.12.2

* Sat Dec 22 2018 daviddavid <daviddavid> 1.12.1-1.mga7
+ Revision: 1344491
- new version: 1.12.1

* Sat Sep 08 2018 daviddavid <daviddavid> 1.12.0-1.mga7
+ Revision: 1257873
- new version: 1.12.0

* Sun Jul 01 2018 daviddavid <daviddavid> 1.11.1-2.mga7
+ Revision: 1241201
- add patch to fix build with new Qt5 >= 5.11.0

* Fri Apr 20 2018 daviddavid <daviddavid> 1.11.1-1.mga7
+ Revision: 1220353
- new version: 1.11.1
- remove merged upstream patches

* Sun Apr 15 2018 daviddavid <daviddavid> 1.11.0-1.mga7
+ Revision: 1218916
- new version: 1.11.0
- rename and rediff system-routino patch
- add upstream patch to fix build failure with -Werror=format-security
- add upstream patch to add a manpage for qmt_map2jnx
- add upstream patch to fix missing header (canvas/IDrawContext.h)
- use system alglib
- add new qmaptool subpackage

* Mon Nov 20 2017 zezinho <zezinho> 1.9.1-2.mga7
+ Revision: 1177975
- rebuild for mga7

* Mon Nov 20 2017 josh <josh> 1.9.1-1.mga7
+ Revision: 1177974
- Obsolete predecessor application QLandkarte GT
- Delete old tarball
- Update to version 1.9.1
- Clean up patches applied to upstream

* Mon Aug 07 2017 daviddavid <daviddavid> 1.6.1-2.mga7
+ Revision: 1138649
- remove no more available BR qt5clucene-devel

* Fri May 20 2016 eatdirt <eatdirt> 1.6.1-1.mga6
+ Revision: 1017164
- Upgrade to version 1.6.1

* Fri May 20 2016 tv <tv> 1.4.0-3.mga6
+ Revision: 1017112
- rebuild for new libproj

* Sun Jan 10 2016 wally <wally> 1.4.0-2.mga6
+ Revision: 920931
- rebuild for new gdal

* Tue Nov 17 2015 oden <oden> 1.4.0-1.mga6
+ Revision: 903781
- 1.4.0

* Sun Sep 20 2015 oden <oden> 1.3.1-1.mga6
+ Revision: 881886
- imported package qmapshack


* Sun Sep 20 2015 Oden Eriksson <oe@nux.se> 1.3.1-1
- initial Mageia package (fedora rawhide import)

* Mon Jul 27 2015 Dan Horák <dan@danny.cz> - 1.3.0-2
- rebuild for GDAL 2.0

* Thu Jul 02 2015 Dan Horák <dan[at]danny.cz> - 1.3.0-1
- update to 1.3.0

* Wed Jun 24 2015 Dan Horák <dan[at]danny.cz> - 1.2.2-1
- update to 1.2.2
- add missing desktop-database scriptlets
- fix license tag

* Tue Apr 14 2015 Dan Horák <dan[at]danny.cz> - 1.2.0-1
- update to 1.2.0

* Sun Apr 05 2015 Dan Horák <dan[at]danny.cz> - 1.1.0-1
- initial Fedora version
